Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class ProducedCallTypeParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.ProducedCallTypeParams

    public class ProducedCallTypeParams

extends Object

Determines the parameters of a call type produced by a call source.

Field Summary
`protected Double` | `probability`
`protected double[]` | `probPeriod`
`protected int` | `type`

Constructor Summary
`ProducedCallTypeParams()`

Method Summary
`double` | `getProbability()` Gets the value of the probability property.
`double[]` | `getProbPeriod()`
`double` | `getProbPeriod(int idx)`
`int` | `getProbPeriodLength()`
`int` | `getType()` Gets the value of the type property.
`boolean` | `isSetProbability()`
`boolean` | `isSetProbPeriod()`
`boolean` | `isSetType()`
`void` | `setProbability(double value)` Sets the value of the probability property.
`void` | `setProbPeriod(double[] values)`
`double` | `setProbPeriod(int idx, double value)`
`void` | `setType(int value)` Sets the value of the type property.
`void` | `unsetProbability()`
`void` | `unsetProbPeriod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### probPeriod

    protected double[] probPeriod

### type

    protected int type

### probability

    protected Double probability

Constructor Detail

### ProducedCallTypeParams

    public ProducedCallTypeParams()

Method Detail

### getProbPeriod

    public double[] getProbPeriod()

  Returns:
    array of `Double`

### getProbPeriod

    public double getProbPeriod(int idx)

  Returns:
    one of `Double`

### getProbPeriodLength

    public int getProbPeriodLength()

### setProbPeriod

    public void setProbPeriod(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbPeriod

    public double setProbPeriod(int idx,
                                double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbPeriod

    public boolean isSetProbPeriod()

### unsetProbPeriod

    public void unsetProbPeriod()

### getType

    public int getType()

  Gets the value of the type property.

### setType

    public void setType(int value)

  Sets the value of the type property.

### isSetType

    public boolean isSetType()

### getProbability

    public double getProbability()

  Gets the value of the probability property.

  Returns:
    possible object is `Double`

### setProbability

    public void setProbability(double value)

  Sets the value of the probability property.

  Parameters:
    `value` - allowed object is `Double`

### isSetProbability

    public boolean isSetProbability()

### unsetProbability

    public void unsetProbability()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.